### Struct

# Gck Attributes

#### Description [src]

    struct GckAttributes {
      /* No available fields */
    }

A set of `GckAttribute` structures.

These attributes contain information about a PKCS11 object. Use `gck_object_get()` or `gck_object_set()` to set and retrieve attributes on an object.

#### Constructors

###### gck_attributes_new

Create a new empty `GckAttributes` array.

###### gck_attributes_new_empty

Creates an GckAttributes array with empty attributes.

#### Instance methods

###### gck_attributes_at

Get attribute at the specified index in the attribute array.

###### gck_attributes_contains

Check whether the attributes contain a certain attribute.

###### gck_attributes_count

Get the number of attributes in this attribute array.

###### gck_attributes_dump

Dump the attributes using g_printerr().

###### gck_attributes_find

Find an attribute with the specified type in the array.

###### gck_attributes_find_boolean

Find an attribute with the specified type in the array.

###### gck_attributes_find_date

Find an attribute with the specified type in the array.

###### gck_attributes_find_string

Find an attribute with the specified type in the array.

###### gck_attributes_find_ulong

Find an attribute with the specified type in the array.

###### gck_attributes_ref

Reference this attributes array.

###### gck_attributes_to_string

Print out attributes to a string in aform that’s useful for debugging or logging.

###### gck_attributes_unref

Unreference this attribute array.